html,
body {
    margin: 0;
    padding: 0;
    font-family: "PingFang SC", "Noto Sans SC", Helvetica, arial, sans-serif;
    background: #fcfaf5;
    font-size: 16px;
}

* {
    box-sizing: border-box;

}

a,
a:link,
a:checked {
    text-decoration: none;
}

ul {
    padding: 0;
    margin: 0;
    font-size: 0;
    line-height: 0;
}

img {
    display: block;
    width: 100%;
    box-sizing: border-box;
    font-size: 0;
    line-height: 0;
    margin: 0;
}

.w500 {
    display: block;
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
    /* background: #fcfaf5; */
    text-align: center;
    position: relative;
}

.header {
    padding: 16px;
    height: 64px;
    background: url(../img/logo.png) no-repeat center / auto calc(100% - 12px);
    display: flex;
    align-content: center;
    justify-content: space-between;
    box-shadow: 0 1px 10px rgba(162, 93, 57, .1);
}

.header a {
    height: 100%;
}

.header a img {
    height: 100%;
    width: auto;
}

.btn-group {
    margin-top: 16px;
    padding: 0 8px;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.article {
    margin: 20px 8px;
    padding: 20px;
    border-radius: 20px;
    border: 1px solid #c5b78b;
    background: #fcfaf5;
    color: #b6a366;
}

.article h3 {
    margin: 0 0 10px;
}

.article p {
    margin: 4px;
    font-size: 14px;
    text-align: left;
}

.copyright {
    margin-bottom: 20px;
    font-size: 12px;
    color: #858585;
}

@media screen and (max-width: 500px) {

    html,
    body {
        font-size: 12px;
    }

}

@media screen and (max-width: 320px) {

    html,
    body {
        font-size: 11px;
    }

}

/* popup */
#open-popup {
    cursor: pointer;
}

.louked {
    overflow: hidden;
}

.popup {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, .5);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

.popup.active {
    display: flex;
}

.popup .inner {
    max-width: calc(500px * 0.8);
    padding: 40px 32px;
    width: 80%;
    border-radius: 20px;
    background: #f4f1e2;
    display: flex;
    flex-direction: column;
}

.popup .inner a {
    width: 100%;
    padding: 16px 4px;
    height: 64px;
    font-size: 18px;
    color: #000;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.popup .inner a+a {
    border-top: 1px dashed #6e6e6e;
}

.popup .inner a img {
    height: 100%;
    width: auto;
}

.speed {
    padding-top: 14px;
    background: url(../img/speed.png) no-repeat top / auto 14px;
    color: #04BE02;
    font-size: 12px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/** 幻灯片样式 */
.slideshow-container {
    position: relative;
    width: 100%;
    height: auto;
    /* 根据实际需要调整 */
    margin: auto;
    overflow: hidden;
}

/* 幻灯片过渡动画 */
.slide {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.slide.active {
    position: relative;
    opacity: 1;
}

.slide.fade-out {
    opacity: 0;
}

.slide img {
    width: 100%;
    vertical-align: middle;
}

.dots-container {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    background-color: rgba(250, 247, 241, 0.67);
    /* 白色半透明背景 */
    padding: 2px;
    border-radius: 20px;
    display: flex;
    z-index: 10;
    transition: background-color 0.3s ease;
    /* 添加过渡效果 */
}

/* 鼠标悬停时背景变为不透明 */
.dots-container:hover {
    background-color: rgba(250, 247, 241, 1);
}

.dot {
    display: inline-block;
    width: 8px;
    height: 8px;
    background-color: #e3cba8;
    margin: 0 5px;
    cursor: pointer;
    border-radius: 50%;
    overflow: hidden;
    position: relative;
    transition: all 0.3s ease;
}

.dot.active {
    width: 100px;
    border-radius: 5px;
    background-color: #e3cba8;
}

.progress-bar {
    height: 100%;
    background-color: #a1845c;
    width: 0%;
    transition: none;
    /* 默认无过渡 */
}

.progress-bar.animate {
    width: 100%;
    transition: width var(--slide-duration) linear;
}